Bug 445318 - Crash in writer with table in tables and notes
Crash in writer with table in tables and notes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 03:10 EDT by Adrin Jalali
Modified: 2008-07-31 23:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.1-17.3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crashed document (12.60 KB, application/vnd.oasis.opendocument.text)
2008-05-07 02:23 EDT, Adrin Jalali
no flags Details
reproducer crasher (27.86 KB, application/vnd.oasis.opendocument.text)
2008-05-07 03:26 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Adrin Jalali 2008-05-06 03:10:31 EDT
this is the crash details.

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-8-i386
(IV)   kernel is: Linux 2.6.25-14.fc9.i686 #1 SMP Thu May 1 06:28:41 EDT 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-12.8.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Sulphur)
(VV)   LANG is: en_US.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda10            10096236   7676924   1906440  81% /home
/dev/sda11            10063176   4860088   5203088  49% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x44213e8: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x253e8
0x4421d23: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x25d23
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x24c18b5: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x4c18b5
0x24c18e0: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x4c18e0
0x2357b86: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x357b86
0x235b3c9: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x35b3c9
0x54378b7: 0xf4004: /usr/lib/openoffice.org/program/libsvl680li.so + 0x988b7
(SvPtrarr::_ForEach(unsigned short, unsigned short, unsigned char (*)(void*
const&, void*), void*) + 0x2d)
0x235b1cc: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x35b1cc
0x54378b7: 0xf4004: /usr/lib/openoffice.org/program/libsvl680li.so + 0x988b7
(SvPtrarr::_ForEach(unsigned short, unsigned short, unsigned char (*)(void*
const&, void*), void*) + 0x2d)
0x235b7fa: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x35b7fa
0x2377515: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x377515
0x235b737: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x35b737
0x2377515: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x377515
0x235b737: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x35b737
0x2377515: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x377515
0x249d2f3: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x49d2f3
0x24923f3: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x4923f3
0x21b7e3a: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x1b7e3a
(SwEditShell::Undo(SwUndoId, unsigned short) + 0xfe)
0x2780d2d: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x780d2d
(SwWrtShell::Do(SwWrtShell::DoType, unsigned short) + 0x65)
0x26c3582: 0xb07d24: /usr/lib/openoffice.org/program/libsw680li.so + 0x6c3582
0x62116b8: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b36b8
0x6209f9a: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1abf9a
0x6227bd4: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c9bd4
0x622808e: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1ca08e
0x5d68f66: 0x3cf5c0: /usr/lib/openoffice.org/program/libsvt680li.so + 0xe6f66
0x5745130: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x25c130
0x56f44ac: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x20b4ac
0xf1a38a: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4538a (SalDisplay::DispatchInternalEvent() + 0x96)
0xe36a52: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11a52
0xac2181: 0xe0108: /lib/libglib-2.0.so.0 + 0x35181
0xac4098: 0xe0108: /lib/libglib-2.0.so.0 + 0x37098 (g_main_context_dispatch + 0x1e8)
0xac7743: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a743
0xac7901: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a901 (g_main_context_iteration + 0x71)
0xe36827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0xf208b9: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8b9 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x5581cb9: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98cb9
(Application::Yield(bool) + 0x57)
0x5581d07: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98d07
(Application::Execute() + 0x2b)
0x6f58933: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x2f933
(desktop::Desktop::Main() + 0x1a0b)
0x55852c2: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c2c2
0x558545e: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c45e
(SVMain() + 0x2c)
0x6f4cf01: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x23f01
(main + 0xe5)
0x8b75d6: 0x164d7c: /lib/libc.so.6 + 0x165d6 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/swriter.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067f000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006ee000)
	libdl.so.2 => /lib/libdl.so.2 (0x006f2000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f7000)
	librt.so.1 => /lib/librt.so.1 (0x006fc000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00706000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00724000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00765000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x0089f000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x007a5000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00980000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d06000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00de7000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e45000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00ecb000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00f6e000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x06cd4000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x06ff2000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00824000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00852000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x018bf000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x077f6000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x06613000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x066be000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x073f4000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x076d9000)
	libm.so.6 => /lib/libm.so.6 (0x067ee000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x065ed000)
	libc.so.6 => /lib/libc.so.6 (0x01117000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00877000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x0087a000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x03d8a000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x03e62000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x03a60000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x039be000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0106b000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x03a2a000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x03a7b000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x03ddb000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x04882000)
	libz.so.1 => /lib/libz.so.1 (0x03b89000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x03e2c000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x03c61000)
	/lib/ld-linux.so.2 (0x00881000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x03c2b000)
	libcap.so.2 => /lib/libcap.so.2 (0x039d9000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x01074000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x0107d000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x03a0f000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x0427f000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x059e9000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x03f3a000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x01097000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x047f3000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x044ce000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x04b18000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x0087f000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x04816000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x044ab000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x04997000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb74c8000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0720f000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x04514000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2008-05-06 04:20:40 EDT
Are you able to reproduce this, did it happen on opening a document or on
copying and pasting something specific ?
Comment 2 Adrin Jalali 2008-05-06 05:28:07 EDT
I pasted something from firefox wich containded a table and some text and
pictures. Then deleted it, pasted another thing, and playing just like this,
suddenly crashes. After that when it tried to recover my document the same thing
happened till I canceled it and opened the document myself.
Comment 3 Caolan McNamara 2008-05-06 11:26:46 EDT
I can't get a crash myself. I don't suppose the html you were pasting is from
some public website that I could try and copy from myself ?
Comment 4 Adrin Jalali 2008-05-07 02:23:36 EDT
Created attachment 304726 [details]
crashed document

I have no idea else, so I attache my file. It's not too personal ;) But that's
in persian.
Comment 5 Caolan McNamara 2008-05-07 03:26:37 EDT
Created attachment 304732 [details]
reproducer crasher

This variant crashes for me reproducably
Comment 6 Caolan McNamara 2008-05-07 03:30:03 EDT
fix for that checked in, will be in >= 2.4.0-12.9
Comment 7 Bug Zapper 2008-05-14 06:42:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2008-06-09 05:37:37 EDT
openoffice.org-2.4.1-17.3.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-06-09 23:14:54 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5143
Comment 10 Fedora Update System 2008-06-11 00:38:48 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 lihuang 2008-07-31 23:24:06 EDT
This bug has been verified with version openoffice.org-2.4.1-17.4.fc9.i386

Note You need to log in before you can comment on or make changes to this bug.